<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ManageAudios.ascx.cs"
    Inherits="DNNMasters.UserMediaComponents.MyAudio.ManageAudios" %>
<%@ register tagprefix="uc1" tagname="LicensingControl" src="../Utilities/LicensingControl.ascx" %>
<uc1:LicensingControl runat="server" id="_ctlLicensing"></uc1:LicensingControl>

<script type="text/javascript" src="<%=ResolveUrl("~/DesktopModules/DNNMasters.UserMediaComponents/")%>Tools/highslide/highslide-full.packed.js"></script>
<link rel="stylesheet" type="text/css" href="<%=ResolveUrl("~/DesktopModules/DNNMasters.UserMediaComponents/")%>Tools/highslide/highslide.css" />

<script language="javascript" type="text/javascript">
	
	/************************************ HIGHSLIDE ********************************************/
	
	hs.graphicsDir = '<%=ResolveUrl("~/DesktopModules/DNNMasters.UserMediaComponents/Tools/")%>highslide/graphics/';
	hs.outlineType = 'rounded-white';
	hs.showCredits = false;
    
    /*******************************************************************************************/

</script>

<asp:DataList ID="_dlAudios" CssClass="Normal" runat="server" DataKeyField="ItemIndex" RepeatDirection="Horizontal" RepeatColumns="4" CellPadding="10">
    <itemtemplate>
        <asp:HyperLink ID="_hypOpen" runat="server" CssClass="Normal" style="cursor:pointer;" />
        <asp:LinkButton ID="_lnkDelete" resourcekey="_lnkDelete" runat="server" CssClass="Normal" CommandName="DeleteVideo" 
            CommandArgument='<%# DataBinder.Eval(Container.DataItem,"Item").ToString() %>' />
    </itemtemplate>
</asp:DataList>
<br />
<asp:Panel ID="_pnlUpload" runat="server">
    <table>
        <tr>
            <td>
                <asp:Label ID="_lblTitle" runat="server" resourcekey="_lblTitle" CssClass="Normal" />
            </td>
            <td>
                <asp:TextBox ID="_txbAudioTitle" runat="server" CssClass="NormalTextBox" Width="250" />
                <asp:RequiredFieldValidator ID="_valTitle" runat="server" CssClass="Normal" ErrorMessage="*" 
                    ControlToValidate="_txbAudioTitle" ValidationGroup="VidAudio" />
            </td>
        </tr>
        <tr runat="server">
            <td>
                <asp:Label ID="_lblFile" runat="server" resourcekey="_lblFile" CssClass="Normal" />
            </td>
            <td>
                <asp:FileUpload ID="_fuAudio" runat="server" CssClass="NormalTextBox" Width="250" />
                <asp:CustomValidator ID="_valExt" resourcekey="_valExt" Display="Static" runat="server" CssClass="Normal" />
            </td> 
        </tr>
        <tr>
            <td colspan="2" align="center">
                <asp:LinkButton ID="_lnkSave" resourcekey="_lnkSave" runat="server" CssClass="Normal" ValidationGroup="VidAudio" />
            </td>
        </tr>
    </table>
</asp:Panel>
