<%@ Control Language="C#" AutoEventWireup="false" CodeBehind="ManageImages.ascx.cs"
    Inherits="DNNMasters.UserMediaComponents.MyPix.ManageImages" %>

<script type="text/javascript" src="<%=ScriptPath()%>Tools/lightbox/js/jquery.js"></script>
<script type="text/javascript" src="<%=ScriptPath()%>Tools/lightbox/js/jquery.lightbox-0.5.js"></script>
<link rel="stylesheet" type="text/css" href="<%=ScriptPath()%>Tools/lightbox/css/jquery.lightbox-0.5.css" media="screen" />

<%@ register tagprefix="uc1" tagname="LicensingControl" src="../Utilities/LicensingControl.ascx" %>
<uc1:LicensingControl runat="server" id="_ctlLicensing"></uc1:LicensingControl>

<script language="javascript" type="text/javascript">

    function SetLigntBox() {
        $('a[@rel*=lightbox]').lightBox({
            imageBtnClose: '<%=ScriptPath()%>Tools/lightbox/images/lightbox-btn-close.gif',
            imageLoading: '<%=ScriptPath()%>Tools/lightbox/images/lightbox-ico-loading.gif',
            imageBtnPrev: '<%=ScriptPath()%>Tools/lightbox/images/lightbox-btn-prev.gif',
            imageBtnNext: '<%=ScriptPath()%>Tools/lightbox/images/lightbox-btn-next.gif'
        });
    }
	
</script>

<asp:DataList ID="_dlImages" CssClass="Normal" runat="server" RepeatDirection="Horizontal" RepeatColumns="4" CellPadding="10">
    <itemtemplate>
        <table>
            <tr>
                <td align="center">
                    <asp:Literal ID="_litImage" runat="server" />
                </td>
            </tr>
            <tr>
                <td align="center">
                    <asp:Label ID="_lblTitle" runat="server" CssClass="Normal" Visible="false" /><br />
                    <asp:LinkButton ID="_lnkDelete" resourcekey="_lnkDelete" runat="server" CssClass="Normal" CommandName="DeleteVideo" 
                        CommandArgument='<%# DataBinder.Eval(Container.DataItem,"Item").ToString() %>' />
                </td>
            </tr>
        </table>
    </itemtemplate>
</asp:DataList>
<br />
<asp:Panel ID="_pnlUpload" runat="server">
    <table>
        <tr runat="server" id="_trTitle">
            <td>
                <asp:Label ID="_lblTitle" runat="server" resourcekey="_lblTitle" CssClass="Normal" />
            </td>
            <td>
                <asp:TextBox ID="_txbPicTitle" runat="server" CssClass="NormalTextBox" Width="250" />
                <asp:RequiredFieldValidator ID="_valTitle" runat="server" CssClass="Normal" ErrorMessage="*" 
                    ControlToValidate="_txbPicTitle" ValidationGroup="PicTitle" />
            </td>
        </tr>
        <tr runat="server">
            <td>
                <asp:Label ID="_lblFile" runat="server" resourcekey="_lblFile" CssClass="Normal" />
            </td>
            <td>
                <asp:FileUpload ID="_fuImage" runat="server" CssClass="NormalTextBox" Width="250" />
                <asp:CustomValidator ID="_valExt" resourcekey="_valExt" Display="Static" runat="server" CssClass="Normal" />
            </td> 
        </tr>
        <tr>
            <td colspan="2" align="center">
                <asp:LinkButton ID="_lnkSaveImage" resourcekey="_lnkSave" runat="server" CssClass="Normal" ValidationGroup="PicTitle" />
            </td>
        </tr>
    </table>
</asp:Panel>


