<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditMyVideo.ascx.cs"
    Inherits="DNNMasters.UserMediaComponents.MyVideo.EditMyVideo" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/labelcontrol.ascx" %>
<table cellspacing="0" cellpadding="0" border="0">
    <tr>
        <td class="SubHead">
            <dnn:label ID="lblWindowWidth" ControlName="" Suffix=":" runat="server">
            </dnn:label>
        </td>
        <td class="SubHead">
            <asp:TextBox ID="txtWindowWidth" runat="server" Width="70px"></asp:TextBox>&nbsp;<asp:RegularExpressionValidator
                ID="val1" runat="server" ControlToValidate="txtWindowWidth" ErrorMessage="RegularExpressionValidator"
                ValidationExpression="[0-9]?[0-9]?[0-9]?"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:label ID="lblWindowHeight" ControlName="" Suffix=":" runat="server">
            </dnn:label>
        </td>
        <td class="SubHead">
            <asp:TextBox ID="txtWindowHeight" runat="server" Width="70px"></asp:TextBox>&nbsp;<asp:RegularExpressionValidator
                ID="val2" runat="server" ControlToValidate="txtWindowHeight" ErrorMessage="RegularExpressionValidator"
                ValidationExpression="[0-9]?[0-9]?[0-9]?[0-9]?"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr>
        <td class="SubHead">
            <dnn:label ID="lblVideoLimit" ControlName="" Suffix=":" runat="server">
            </dnn:label>
        </td>
        <td class="SubHead">
            <asp:TextBox ID="txtVideoLimit" runat="server" Width="70px"></asp:TextBox>&nbsp;<asp:RegularExpressionValidator
                ID="val3" runat="server" ControlToValidate="txtVideoLimit" ErrorMessage="RegularExpressionValidator"
                ValidationExpression="[0-9]?[0-9]?[0-9]?[0-9]?"></asp:RegularExpressionValidator>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="175">
            <dnn:label id="lblUploadLimit" runat="server" controlname="lblUploadLimit" suffix=":">
            </dnn:label>
        </td>
        <td valign="bottom" width="325">
            <asp:TextBox ID="txbUploadLimit" runat="server"></asp:TextBox>MB
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="175">
            <dnn:label id="lblVideoQuality" runat="server" controlname="lblVideoQuality" suffix=":">
            </dnn:label>
        </td>
        <td valign="bottom" width="325">
            <asp:DropDownList ID="ddVideoQuality" runat="server" Width="300px">
            </asp:DropDownList>
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="175">
            <dnn:label id="lblAutoplay" runat="server" controlname="lblAutoplay" suffix=":">
            </dnn:label>
        </td>
        <td valign="bottom" width="325">
            <asp:CheckBox ID="_chkAutoplay" runat="server" />
        </td>
    </tr>
    <tr valign="top">
        <td class="SubHead" width="175">
            <dnn:label id="lblProfileUpload" runat="server" suffix=":">
            </dnn:label>
        </td>
        <td valign="bottom" width="325">
            <asp:CheckBox ID="_chkProfileUpload" CssClass="Normal" runat="server" />
        </td>
    </tr>
    <tr visible="false">
        <td class="SubHead" width="175">
            <dnn:label id="lblAdvancedUpload" runat="server" suffix=":">
            </dnn:label>
        </td>
        <td valign="bottom" width="325">
            <asp:CheckBox ID="_chkAdvancedUpload" CssClass="Normal" runat="server" />
        </td>
    </tr>
</table>
<p>
    <asp:LinkButton CssClass="CommandButton" ID="cmdUpdate" resourcekey="cmdUpdate" runat="server"
        BorderStyle="none" Text="Update" OnClick="cmdUpdate_Click"></asp:LinkButton>&nbsp;
    <asp:LinkButton CssClass="CommandButton" ID="cmdCancel" resourcekey="cmdCancel" runat="server"
        BorderStyle="none" Text="Cancel" CausesValidation="False" OnClick="cmdCancel_Click"></asp:LinkButton>&nbsp;&nbsp;&nbsp;
</p>
